Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.socket.nat.rendezvous
Class NeverResponseStrategy<Identifier>

    java.lang.Object
      rice.pastry.socket.nat.rendezvous.NeverResponseStrategy<Identifier>

Type Parameters:
  `Identifier` -

All Implemented Interfaces:
  ResponseStrategy<Identifier>

    public class NeverResponseStrategy<Identifier>

extends java.lang.Object
implements ResponseStrategy<Identifier>

Never send udp to the node.

Author:
  Jeff Hoye

Constructor Summary
`NeverResponseStrategy()`

Method Summary
`void` | `messageReceived(Identifier i, java.nio.ByteBuffer msg, java.util.Map<java.lang.String,java.lang.Object> options)` Called when a message is directly received from the Identifier
`void` | `messageSent(Identifier i, java.nio.ByteBuffer msg, java.util.Map<java.lang.String,java.lang.Object> options)` Called when a message is directly sent to the Identifier
`boolean` | `sendDirect(Identifier i, java.nio.ByteBuffer msg, java.util.Map<java.lang.String,java.lang.Object> options)` True if we believe the firewall will accept the message (due to a recent message from the node)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeverResponseStrategy

    public NeverResponseStrategy()

Method Detail

### messageReceived

    public void messageReceived(Identifier i,
                                java.nio.ByteBuffer msg,
                                java.util.Map<java.lang.String,java.lang.Object> options)

  Description copied from interface: `ResponseStrategy`
  Called when a message is directly received from the Identifier

  Specified by:
    `messageReceived` in interface `ResponseStrategy<Identifier>`

### messageSent

    public void messageSent(Identifier i,
                            java.nio.ByteBuffer msg,
                            java.util.Map<java.lang.String,java.lang.Object> options)

  Description copied from interface: `ResponseStrategy`
  Called when a message is directly sent to the Identifier

  Specified by:
    `messageSent` in interface `ResponseStrategy<Identifier>`

### sendDirect

    public boolean sendDirect(Identifier i,
                              java.nio.ByteBuffer msg,
                              java.util.Map<java.lang.String,java.lang.Object> options)

  Description copied from interface: `ResponseStrategy`
  True if we believe the firewall will accept the message (due to a recent message from the node)

  Specified by:
    `sendDirect` in interface `ResponseStrategy<Identifier>`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.